Bug 98755 - gcc version 3.3 20030623 (Red Hat Linux 3.3-12) failed to build glibc
gcc version 3.3 20030623 (Red Hat Linux 3.3-12) failed to build glibc
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 11:38 EDT by hjl
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 11:37:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2003-07-08 11:38:16 EDT
I tried to gcc version 3.3 20030623 (Red Hat Linux 3.3-12) to
build 20030707's glibc from CVS, I got

x-ia64.so.2  -B/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/csu/ 
-Wl,--version-script=/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/libc.map
-Wl,-soname=libc.so.6.1 -Wl,-z,combreloc -nostdlib -nostartfiles -e __libc_main -u
__register_frame -L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/math
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/dlfcn
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/nss
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/nis
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/rt
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/resolv
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/crypt
-L/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/linuxthreads
-Wl,-rpath-link=/export/build/gnu/glibc-3.3-redhat/build-ia64-linux:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/math:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/dlfcn:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/nss:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/nis:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/rt:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/resolv:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/crypt:/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/linuxthreads
-o
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/libc.so -T
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/shlib.lds
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/csu/abi-note.o
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf/soinit.os
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/libc_pic.os
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf/sofini.os
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf/interp.os
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/elf/ld.so -lgcc -lgcc_eh
/export/build/gnu/glibc-3.3-redhat/build-ia64-linux/libc_pic.os(.text+0x2e442)/usr/local/bin/ld:
Dwarf Error: DW_FORM_strp offset (134217728) greater than or equal to .debug_str
size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (2533490688) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: Could not find abbrev number 83.
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (50331648) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (50331648) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (33816576) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: DW_FORM_strp offset (3573678080) greater than or
equal to .debug_str size (16194878).
/usr/local/bin/ld: Dwarf Error: Could not find abbrev number 83.
/usr/local/bin/ld: Dwarf Error: Could not find abbrev number 74.
/usr/local/bin/ld: Dwarf Error: Could not find abbrev number 256.
/usr/local/bin/ld: Dwarf Error: Could not find abbrev number 256.
...

gcc version 3.2.3 20030422 (Red Hat Linux 3.2.3-3) is OK. I am using
binutils 20030708.
Comment 1 hjl 2003-07-09 11:37:36 EDT
It was a pilot error.

Note You need to log in before you can comment on or make changes to this bug.